> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization Audit Events

> Retrieve a list of Organization Audit Events with pagination support. Use query parameters `startingAfter` and `limit` to navigate results.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/organizations/audit-events
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/audit-events:
    get:
      tags:
        - Organizations
      summary: Get Organization Audit Events
      description: >-
        Retrieve a list of Organization Audit Events with pagination support.
        Use query parameters `startingAfter` and `limit` to navigate results.
      operationId: OrganizationAuditController_list
      parameters:
        - name: category
          required: false
          in: query
          description: Filter by event category.
          schema:
            $ref: '#/components/schemas/OrganizationAuditCategory'
        - name: actorType
          required: false
          in: query
          description: Filter by actor type.
          schema:
            $ref: '#/components/schemas/OrganizationAuditActorType'
        - name: action
          required: false
          in: query
          description: Filter by exact action key.
          schema:
            type: string
        - name: from
          required: false
          in: query
          description: Only events at or after this ISO date-time.
          schema:
            type: string
        - name: to
          required: false
          in: query
          description: Only events at or before this ISO date-time.
          schema:
            type: string
        - name: search
          required: false
          in: query
          description: Free-text search over action and actor email.
          schema:
            type: string
        - name: startingAfter
          required: false
          in: query
          description: Id used to retrieve results that come after the specified item.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Response page limit. Min 1, Max 100, Default value is 10.
          schema:
            type: number
      responses:
        '200':
          description: List of Organization Audit Events and `hasMore` flag.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/d0a09f3dc303247fe8107'
      security:
        - bearer: []
components:
  schemas:
    OrganizationAuditCategory:
      type: string
      enum:
        - Credentials
        - Routing
        - Network
    OrganizationAuditActorType:
      type: string
      enum:
        - DashboardUser
        - ApiToken
        - Admin
    d0a09f3dc303247fe8107:
      type: object
      properties:
        hasMore:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationAuditEventEntity'
      required:
        - hasMore
        - data
    OrganizationAuditEventEntity:
      type: object
      properties:
        id:
          type: string
        category:
          allOf:
            - $ref: '#/components/schemas/OrganizationAuditCategory'
        action:
          type: string
        metadata:
          type: object
          nullable: true
        actor:
          $ref: '#/components/schemas/AuditActorEntity'
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - category
        - action
        - metadata
        - actor
        - createdAt
    AuditActorEntity:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/OrganizationAuditActorType'
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      required:
        - type
        - name
        - email
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````